<template>
  <!-- 双师一生创建课程 -->
  <div class="createCourse" v-loading="loading">
    <el-card>
      <div style="padding: 0 75px;">
        <span class="title">双师一生</span>
        <span class="subTitle">我的课程 - 我创建的 - <span class="pointer" @click="goBack">双师一生</span> - <span style="color: #000;">{{editId=="" ? "创建" : "编辑"}}课程</span></span>
      </div>
    </el-card>

    <el-card>
      <div style="color: #050026;font-size: 18px;font-weight: 400;">{{editId=="" ? "创建" : "编辑"}}课程</div>
      <div class="formContent">
        <el-form :model="formline" ref="formline" :rules="rules" size="large" label-position="top" class="demo-ruleForm">
          <div class="must">
            <div class="label">课程封面图</div>
            <div class="uploadDiv">
              <div style="display: flex;">
                <el-upload class="mainUpload" action="" accept=".png, .jpg, .jpeg" :auto-upload="false" list-type="picture-card" :on-change="handleMainChange" :file-list="fileList">
                  <el-icon size="38" color="#9d9ab9" v-if="fileList.length==0">
                    <Picture />
                  </el-icon>
                  <img v-else :src="fileList[0].url" alt="" style="width: 100%;height: 100%;" />
                </el-upload>
                <div style="font-size: 12px;margin-left: 20px;position: relative;">
                  <div style="color: #949494;">支持格式：jpg,png,jpeg（200kb以内） 建议尺寸600x320</div>
                  <div style="color: #F35421;position: absolute;bottom: 0;" v-if="fileList.length==0">{{mainTip}}</div>
                </div>
              </div>
            </div>
          </div>
          <el-form-item label="课程名称" prop="ks_name">
            <el-input v-model="formline.ks_name" />
          </el-form-item>
          <!-- <el-form-item label="课时数" prop="ks_kss">
            <el-input v-model="formline.ks_kss" />
          </el-form-item> -->
          <el-form-item label="课程简介" prop="ks_brief">
            <el-input v-model="formline.ks_brief" type="textarea" rows="5" />
          </el-form-item>
          <div style="display: flex;">
            <el-form-item style="flex: 1;" label="开始时间" prop="ks_start_datetime">
              <el-config-provider :locale="local">
                <el-date-picker popper-class="ssystime" v-model="formline.ks_start_datetime" value-format="YYYY-MM-DD HH:mm" :disabled-date="pickerStartTime" type="datetime" placeholder="选择日期时间"></el-date-picker>
              </el-config-provider>
            </el-form-item>
            <el-form-item style="flex: 1;margin-left: 20px;" label="结束时间" prop="ks_end_datetime">
              <el-config-provider :locale="local">
                <el-date-picker popper-class="ssystime" v-model="formline.ks_end_datetime" value-format="YYYY-MM-DD HH:mm" :disabled-date="pickerEndTime" type="datetime" placeholder="选择日期时间"></el-date-picker>
              </el-config-provider>
            </el-form-item>
          </div>
          <div class="must" style="display: block;">
            <div class="label" style="margin-bottom: 12px;">类型（每个类型只能选一个）</div>
            <div class="showType">
              <div class="typeItem" style="background: #00a3ff;">{{formline.grade_name}}</div>
              <div class="typeItem" style="background: rgba(0,131,197,0.8);">{{formline.subject_name}}</div>
            </div>
          </div>
          <div class="type">
            <div class="flex">
              <div class="label">年级</div>
              <div class="valueDiv">
                <div class="item pointer" :class="formline.grade_id==item.grade_id?'active':''" @click="initGrade(item)" v-for="item in gradeData" :key="item.grade_id">{{item.grade_name}}</div>
              </div>
            </div>
            <div class="flex">
              <div class="label">分类</div>
              <div class="valueDiv">
                <div class="item pointer" :class="formline.subject_id==item.subject_id?'active':''" @click="initSubject(item)" v-for="item in subjectData" :key="item.subject_id">{{item.subject_name}}</div>
              </div>
            </div>
          </div>
          <div class="must">
            <div class="label">附件</div>
            <div class="uploadDiv" v-loading="attachLoading">
              <div style="position: relative;">
                <el-upload class="attachUpload" action="" accept=".doc, .docx, .xls, .xlsx, .ppt, .pptx, .pdf, .mp3, .mp4" :auto-upload="false" drag :on-change="handleAttachChange" :file-list="attachList">
                  <el-icon size="19" color="#9d9ab9">
                    <FolderOpened />
                  </el-icon>
                </el-upload>
                <div style="font-size: 12px;position: absolute;left: 85px;top: 0;">
                  <div style="color: #949494;position: absolute;white-space: nowrap;">支持格式：doc,docx,xls,xlsx,ppt,pptx,pdf,mp3,mp4（500M以内）</div>
                  <div style="color: #F35421;position: absolute;white-space: nowrap;top: 50px;" v-if="attachList.length==0">{{attachTip}}</div>
                </div>
              </div>
            </div>
          </div>
          <el-form-item label="关联的作业">
            <el-select v-model="linkWork" multiple placeholder=" " size="large">
              <el-option v-for="item in workData" :key="item.yys_id" :label="item.yys_name" :value="item.yys_id" />
            </el-select>
          </el-form-item>

          <el-form-item label="结对老师/组">
            <div class="showDiv">
              <div class="flex" style="flex-wrap: wrap;">
                <div class="flex" style="margin-right: 20px;align-items: center;padding: 8px 0;" v-for="(item, index) in activeTeacherData" :key="index">
                  <div class="typeItem">{{item.user_realname}}</div>
                  <el-icon color="#00A3FF" class="pointer" @click="handleRemoveTeacher(index)">
                    <CircleClose />
                  </el-icon>
                </div>
              </div>
              <el-icon class="drop pointer" color="#a8abb2" :size="12" @click="showTeacher=!showTeacher">
                <ArrowDownBold />
              </el-icon>
            </div>
            <div class="jdlsDiv" v-show="showTeacher">
              <div class="operate">
                <div class="searchValue">
                  <input type="text" placeholder="搜索关键字" v-model="searchKey">
                  <div class="searchBtn" @click="initTeacherData(false)">
                    <img src="/kczy/searchIcon.png" alt="">
                  </div>
                </div>
                <div>
                  <el-button @click="backTeacher">
                    <el-icon>
                      <Back />
                    </el-icon>
                  </el-button>
                  <el-button @click="nextTeacher">
                    <el-icon>
                      <Right />
                    </el-icon>
                  </el-button>
                </div>
              </div>
              <div v-if="teacherData.length!=0">
                <el-checkbox-group v-model="activeTeacher" @change="initActiveTeacher">
                  <el-checkbox v-for="(item, index) in teacherData" :key="index" :label="JSON.stringify(item)">{{item.user_realname}}</el-checkbox>
                </el-checkbox-group>
              </div>
              <el-empty v-if="teacherData.length==0" image-size="100" description="无数据" style="padding: 10px 0;" />
            </div>
          </el-form-item>
          <el-form-item label="结对班级">
            <el-select v-model="activeClass" placeholder=" " multiple size="large" value-key="class_id" @change="initActiveClass">
              <el-option v-for="item in classData" :key="item.class_id" :label="item.class_name" :value="item" />
            </el-select>
          </el-form-item>

          <div style="display: flex;">
            <el-form-item style="flex: 1;" label="是否手机端推荐课程">
              <el-radio-group v-model="formline.ks_sfsjdtjkc">
                <el-radio v-for="item in sfsjdtjkcData" :key="item.v" :label="item.v" size="large">{{item.n}}</el-radio>
              </el-radio-group>
            </el-form-item>
            <el-form-item style="flex: 1;margin-left: 50px;" label="是否精品">
              <el-radio-group v-model="formline.ks_sfjp">
                <el-radio v-for="item in sfjpData" :key="item.v" :label="item.v" size="large">{{item.n}}</el-radio>
              </el-radio-group>
            </el-form-item>
          </div>
          <!-- <el-form-item label="是否需要审核">
            <el-radio-group v-model="formline.ks_sfxysh">
              <el-radio v-for="item in sfxyshData" :key="item.v" :label="item.v" size="large">{{item.n}}</el-radio>
            </el-radio-group>
          </el-form-item>
          <el-form-item label="审核状态">
            <el-select v-model="formline.ks_shzt" placeholder=" " size="large">
              <el-option v-for="item in shztData" :key="item.v" :label="item.n" :value="item.v" />
            </el-select>
          </el-form-item>
          <el-form-item label="审核对象">
            <el-select v-model="formline.shdx" placeholder=" " size="large">
              <el-option v-for="item in shdxData" :key="item.value" :label="item.label" :value="item.value" />
            </el-select>
          </el-form-item> -->
          <el-form-item v-if="editId==''">
            <el-checkbox class="read" v-model="isRead" label="已阅读并同意《课程上传协议》" size="large" />
          </el-form-item>
          <el-form-item>
            <div class="btnDiv">
              <el-button type="primary" @click="submitForm('formline')" :loading="commitLoading">提 交</el-button>
              <el-button @click="goBack">关 闭</el-button>
            </div>
          </el-form-item>
        </el-form>
      </div>
    </el-card>
  </div>
</template>

<script>
import { grade_list, subject_list, ssyskc_list, upload_file, ssyskc_add, ssyskc_edit, ssyskc_detail } from "./api";

import { Picture, FolderOpened, ArrowDownBold, CircleClose, Back, Right } from "@element-plus/icons-vue";
import { ElConfigProvider } from 'element-plus'
import zhcn from 'element-plus/lib/locale/lang/zh-cn'
import { getFullUrl } from '@/utils/helper';
export default {
  data() {
    return {
      loading: false,
      local: zhcn,
      editId: "",
      formline: {
        ks_img: "",
        ks_kj: "",
        ks_name: "1",
        ks_kss: "1",
        ks_brief: "1",
        ks_start_datetime: "2022-01-01 11:00",
        ks_end_datetime: "2022-01-02 11:00",
        grade_id: "",
        grade_name: "",
        subject_id: "",
        subject_name: "",
        yys_id: "",
        ks_jdjs_json: "",
        ks_jdbj_json: "",
        ks_sfsjdtjkc: "",
        ks_sfjp: "",
        ks_sfxysh: "",
        ks_shzt: "",
        // shdx: "",
      },
      rules: {
        ks_name: [
          { required: true, message: '请输入课程名称', trigger: 'blur' },
        ],
        ks_kss: [
          { required: true, message: '请输入课时数', trigger: 'blur' },
        ],
        ks_brief: [
          { required: true, message: '请输入简介', trigger: 'blur' },
        ],
        ks_start_datetime: [
          { required: true, message: '请选择开始时间', trigger: 'change', type: 'date' },
        ],
        ks_end_datetime: [
          { required: true, message: '请选择结束时间', trigger: 'change', type: 'date' },
        ]
      },
      fileList: [],
      mainFileData: ["png", "jpg", "jpeg"],
      mainFileSize: 200,
      mainTip: "",
      attachList: [],
      attachFileData: ["doc", "docx", "xls", "xlsx", "ppt", "pptx", "pdf", "mp3", "mp4"],
      attachFileSize: 500,
      attachTip: "",
      attachLoading: "",
      gradeData: ["一年级", "二年级", "三年级", "四年级", "五年级", "六年级", "初一", "初二", "初三", "高一", "高二", "高三"],
      subjectData: ["美术", "音乐", "舞蹈"],
      workData: [],
      linkWork: [],
      showTeacher: true,
      teacherData: [],
      activeTeacher: [],
      activeTeacherData: [],
      searchKey: "",
      currentPage: 1,
      totalPage: 0,
      classData: [],
      activeClass: [],
      sfsjdtjkcData: [],
      sfjpData: [],
      sfxyshData: [],
      shztData: [],
      shdxData: [],
      isRead: false,
      pickerStartTime: (time) => {
        let beginDateVal = this.formline.ks_end_datetime;
        if (beginDateVal) {
          return time.getTime() < new Date() || time.getTime() > new Date(beginDateVal).getTime();
        } else {
          return time.getTime() < new Date()
        }
      },
      pickerEndTime: (time) => {
        let beginDateVal = this.formline.ks_start_datetime;
        if (beginDateVal) {
          return time.getTime() < new Date(beginDateVal).getTime();
        } else {
          return time.getTime() < new Date()
        }
      },
      commitLoading: false,
    }
  },
  components: { Picture, FolderOpened, ElConfigProvider, ArrowDownBold, CircleClose, Back, Right },
  methods: {
    goBack() {
      this.$router.go(-1);
    },
    initValue() {
      for (let key in this.formline) {
        this.formline[key] = "";
      }

      this.formline.ks_sfsjdtjkc = "1";
      this.formline.ks_sfjp = "1";
      this.formline.ks_sfxysh = "1";
      if (this.gradeData[0]) {
        this.formline.grade_name = this.gradeData[0].grade_name;
        this.formline.grade_id = this.gradeData[0].grade_id;
      }
      if (this.subjectData[0]) {
        this.formline.subject_name = this.subjectData[0].subject_name;
        this.formline.subject_id = this.subjectData[0].subject_id;
      }
    },
    // 编辑获取详情
    initDetailInfo() {
      this.loading = true;
      ssyskc_detail({ ks_id: this.editId }).then((res) => {
        if (res.code == 1) {
          for (let key in this.formline) {
            for (let key1 in res.data.one_info) {
              if (key == key1) {
                this.formline[key] = res.data.one_info[key1];
              }
            }
          }

          this.fileList = [{
            url: getFullUrl(this.formline.ks_img)
          }]
          let arr = this.formline.ks_kj.split("/");
          this.attachList = [{
            name: arr[arr.length - 1],
            url: getFullUrl(this.formline.ks_kj)
          }]
          if (this.formline.yys_id != "") {
            this.linkWork = this.formline.yys_id.split(",");
          }

          this.activeClass = JSON.parse(this.formline.ks_jdbj_json);
          this.activeTeacherData = JSON.parse(this.formline.ks_jdjs_json);
          this.activeTeacher = this.activeTeacherData.map(item => JSON.stringify(item));

          this.loading = false;
        }
      });
    },
    // 获取下拉数据
    initSelectData() {
      ssyskc_list().then((res) => {
        if (res.code == 1) {
          // 是否手机端推荐课程
          this.sfsjdtjkcData = res.data.table_structure.field.ks_sfsjdtjkc.option;
          // 是否精品
          this.sfjpData = res.data.table_structure.field.ks_sfjp.option;
          // 是否需要审核
          this.sfxyshData = res.data.table_structure.field.ks_sfxysh.option;
          // 审核对象
          this.shztData = res.data.table_structure.field.ks_shzt.option;
        }
      });
    },
    // 年级
    initGradeData() {
      this.gradeData = [];
      grade_list({ limit: 50 }).then((res) => {
        if (res.code == 1) {
          this.gradeData = res.data.page_data;

          if (this.gradeData[0]) {
            this.formline.grade_name = this.gradeData[0].grade_name;
            this.formline.grade_id = this.gradeData[0].grade_id;
          }
        }
      });
    },
    // 分类
    initSubjectData() {
      this.subjectData = [];
      subject_list({ limit: 50 }).then((res) => {
        if (res.code == 1) {
          this.subjectData = res.data.page_data;

          if (this.subjectData[0]) {
            this.formline.subject_name = this.subjectData[0].subject_name;
            this.formline.subject_id = this.subjectData[0].subject_id;
          }
        }
      });
    },
    initGrade(value) {
      this.formline.grade_name = value.grade_name;
      this.formline.grade_id = value.grade_id;
    },
    initSubject(value) {
      this.formline.subject_name = value.subject_name;
      this.formline.subject_id = value.subject_id;
    },
    initWorkData() {
      request({
        url: '/yzy/zy_ssys/index',
        data: {}
      }).then(res => {
        if (res.code == 1) {
          this.workData = res.data.page_data;
        }
      })
    },
    backTeacher() {
      if (this.currentPage == 1) {
        return false;
      }
      this.currentPage--;
      this.initTeacherData();
    },
    nextTeacher() {
      if (this.currentPage == this.totalPage) {
        return false;
      }
      this.currentPage++;
      this.initTeacherData();
    },
    // 老师
    initTeacherData(flag = true) {
      if (!flag) {
        this.currentPage = 1;
      }
      request({
        url: '/user/main/index',
        data: {
          user_role_id: "75",
          user_realname: this.searchKey,
          page: this.currentPage,
          limit: 20
        }
      }).then(res => {
        if (res.code == 1) {
          this.teacherData = [];
          res.data.page_data.map((item) => {
            let obj = {
              user_id: item.user_id,
              user_realname: item.user_realname
            }
            this.teacherData.push(obj);
          })
          this.totalPage = res.data.total_page;
        }
      })
    },
    handleRemoveTeacher(index) {
      this.activeTeacherData.splice(index, 1);
      this.activeTeacher.splice(index, 1);
      this.formline.ks_jdjs_json = JSON.stringify(this.activeTeacherData);
    },
    initActiveTeacher(value) {
      this.activeTeacherData = value.map(item => JSON.parse(item));
      this.formline.ks_jdjs_json = JSON.stringify(this.activeTeacherData);
    },
    // 班级
    initClassData() {
      request({
        url: '/jcxx/class/index',
        data: {}
      }).then(res => {
        if (res.code == 1) {
          this.classData = res.data.page_data;
        }
      })
    },
    initActiveClass(value) {
      let data = [];
      value.map((item) => {
        let obj = {
          class_id: item.class_id,
          class_name: item.class_name
        }
        data.push(obj);
      })
      this.formline.ks_jdbj_json = JSON.stringify(data);
    },
    // 封面图
    handleMainChange(file) {
      let fileType = file.name.substring(file.name.lastIndexOf(".") + 1);
      const isJPG = this.mainFileData.includes(fileType);
      const sizeLimit = file.size / 1024 < this.mainFileSize;
      if (!isJPG) {
        this.mainTip = "上传文件只能是jpg,png,jpeg格式";
      }
      if (!sizeLimit) {
        this.mainTip = "上传文件不能超过200KB";
      }
      if (isJPG && sizeLimit) {
        this.fileList = [file];
      } else {
        this.fileList = [];
      }

      if (this.fileList.length == 0) {
        return false;
      }

      upload_file(file.raw).then(res => {
        if (res.code == 1) {
          this.formline.ks_img = res.data.url;
        } else {
          this.mainTip = "上传失败";
        }
      })
    },
    // 附件
    handleAttachChange(file) {
      let fileType = file.name.substring(file.name.lastIndexOf(".") + 1);
      const isJPG = this.attachFileData.includes(fileType);
      const sizeLimit = file.size / 1024 / 1024 < this.attachFileSize;
      if (!isJPG) {
        this.attachTip = "上传文件只能是doc,docx,xls,xlsx,ppt,pptx,pdf,mp3,mp4格式";
      }
      if (!sizeLimit) {
        this.attachTip = "上传文件不能超过500MB";
      }
      if (isJPG && sizeLimit) {
        this.attachList = [file];
      } else {
        this.attachList = [];
      }

      if (this.attachList.length == 0) {
        return false;
      }

      this.attachLoading = true;
      upload_file(file.raw).then(res => {
        if (res.code == 1) {
          this.formline.ks_kj = res.data.url;
        } else {
          this.attachTip = "上传失败";
        }
        this.attachLoading = false;
      })
    },
    submitForm(formName) {
      this.$refs[formName].validate((valid) => {
        if (valid && this.formline.ks_img != "" && this.formline.ks_kj != "" && !this.attachLoading) {
          this.formline.yys_id = this.linkWork.join(",");
          let data = {
            kzkt_ssyskc: this.formline
          }
          if (this.editId == "") {
            if (!this.isRead) {
              this.$message.error("请勾选已阅读并同意《课程上传协议》");
              return false;
            }
            this.commitLoading = true;
            ssyskc_add(data).then(res => {
              if (res.code == 1) {
                this.$message.success("保存成功！");
                this.goBack();
              }
            })
          } else {
            this.commitLoading = true;
            data.ks_id = this.editId;
            ssyskc_edit(data).then(res => {
              if (res.code == 1) {
                this.$message.success("保存成功！");
                this.goBack();
              }
            })
          }
        } else {
          if (this.attachLoading) {
            this.$message.error("附件上传中！");
          }
          if (this.formline.ks_img == "") {
            this.mainTip = "请上传课程封面图";
          }
          if (this.formline.ks_kj == "") {
            this.attachTip = "请上传源文件";
          }
        }
      });
    }
  },
  created() {
    this.initValue();
    this.initSelectData();
    this.initGradeData();
    this.initSubjectData();
    this.initWorkData();
    this.initTeacherData();
    this.initClassData();

    this.editId = this.$route.query.id || "";
    if (this.editId != "") {
      this.initDetailInfo();
    }
  }
}
</script>

<style lang="scss" scoped>
.createCourse {
  .el-card {
    margin-bottom: 15px;
    background: #fff;
  }
  .pointer {
    cursor: pointer;
  }
  .title {
    font-size: 18px;
    color: #050026;
  }
  .subTitle {
    font-size: 14px;
    color: #949494;
    margin-left: 45px;
  }
  .formContent {
    width: 575px;
    margin: auto;
    .must {
      display: flex;
      align-items: center;
      margin-bottom: 22px;
      .label {
        color: #949494;
        font-size: 14px;
        margin-right: 15px;
        &::after {
          content: "*";
          color: #f35421;
          margin-left: 4px;
        }
      }
      .uploadDiv {
        flex: 1;
        .el-upload--picture-card {
          width: 180px;
          height: 96px;
        }
      }
    }
    .showType {
      width: 100%;
      height: 40px;
      background: #f9f9f9;
      border-radius: 6px;
      display: flex;
      align-items: center;
      padding: 0 20px;
      .typeItem {
        color: #fff;
        font-size: 13px;
        padding: 3px 8px;
        border-radius: 6px;
        margin-right: 20px;
        line-height: 22px;
      }
    }
    .type {
      padding: 0 20px;
      margin-bottom: 10px;
      .flex {
        display: flex;
        align-items: baseline;
        .label {
          font-size: 13px;
          color: #333;
          &::after {
            content: "*";
            color: #f35421;
            margin-left: 4px;
          }
        }
        .valueDiv {
          margin-left: 15px;
          flex: 1;
          display: flex;
          flex-wrap: wrap;
          color: #949494;
          padding-bottom: 15px;
          font-weight: 400;
          font-size: 14px;
          .item {
            padding: 3px 5px;
            margin-right: 20px;
            margin-bottom: 5px;
            &.active {
              color: #00a3ff;
              border-radius: 6px;
              background: rgba($color: #00a3ff, $alpha: 0.1);
            }
          }
        }
      }
    }
    .showDiv {
      position: relative;
      width: 100%;
      min-height: 44px;
      background: #f9f9f9;
      border-radius: 6px;
      padding: 0 30px 0 15px;
      .el-icon.drop {
        position: absolute;
        right: 15px;
        top: 15px;
      }
      .typeItem {
        background: #00a3ff;
        color: #fff;
        font-size: 13px;
        padding: 3px 8px;
        border-radius: 6px;
        line-height: 22px;
        margin-right: 8px;
      }
    }
    .jdlsDiv {
      border: 1px solid #e4e6e8;
      border-radius: 6px;
      padding: 10px 12px;
      width: 100%;
      .operate {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 10px;
        .el-button {
          width: 32px;
          height: 32px;
        }
      }
      .searchValue {
        width: 278px;
        height: 40px;
        background: #ffffff;
        border-radius: 8px;
        overflow: hidden;
        position: relative;
        input {
          width: 100%;
          height: 100%;
          outline: 0;
          box-sizing: border-box;
          padding-left: 10px;
          background: #f6f8fa;
        }
        .searchBtn {
          width: 26px;
          height: 26px;
          background: #00a3ff;
          border-radius: 6px;
          position: absolute;
          right: 5px;
          top: 50%;
          transform: translate(-50%, -50%);
          text-align: center;
          vertical-align: middle;
          cursor: pointer;
          img {
            display: block;
            text-align: center;
            margin: 6px auto 0;
          }
        }
      }
      .el-checkbox.el-checkbox--large {
        width: 70px;
      }
    }
    .btnDiv {
      text-align: center;
      width: 100%;
      .el-button {
        background: #f4f4f4;
        border: none;
        width: 160px;
        height: 50px;
        color: #41387f;
        font-family: PingFangSC, PingFangSC-Semibold;
      }
      .el-button--primary {
        background: #00a3ff;
        margin-right: 80px;
        color: #fff;
      }
    }
  }
}
</style>

<style lang="scss">
.createCourse {
  .el-card {
    margin-bottom: 15px;
    background: #fff;
    .el-form {
      .el-form-item {
        &.is-required {
          .el-form-item__label {
            &::before {
              display: none;
            }
            &::after {
              content: "*";
              color: #f35421;
              margin-left: 4px;
            }
          }
        }
        .el-form-item__label {
          color: #949494;
          font-size: 14px;
          position: relative;
        }
        .el-form-item__content {
          .el-select {
            width: 100%;
          }
          .el-input {
            width: 100%;
            .el-input__wrapper {
              width: 100%;
              box-shadow: none;
              background: #f9f9f9;
              border-radius: 6px;
            }
          }
          .el-textarea {
            .el-textarea__inner {
              box-shadow: none;
              background: #f9f9f9;
              border-radius: 6px;
              // color: #d0d0d0;
            }
          }
          .el-checkbox.read {
            .el-checkbox__inner {
              border-radius: 50%;
            }
          }
          .el-input__inner {
            // color: #d0d0d0;
          }
        }
      }
      .uploadDiv {
        .mainUpload {
          .el-upload--picture-card {
            width: 180px;
            height: 96px;
          }
          .el-upload-list--picture-card .el-upload-list__item {
            display: none;
          }
        }
        .attachUpload {
          .el-upload-dragger {
            width: 65px;
            height: 65px;
            padding: 0;
            line-height: 65px;
            background: #f9f9f9;
          }
        }
      }
    }
  }
}
.ssystime {
  .el-picker-panel__footer {
    display: none;
  }
}
</style>